<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9190u1.xslt, 28-07-2020 -->
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
 xmlns:vbt="http://ei.vektis.nl/vz/basis/v1_0" >

	<!-- retourcode 9190: Afgiftedatum ontbreekt of is onjuist. -->
	<!-- controle: De waarde van Afgiftedatum moet kleiner zijn dan de waarde van Verzenddatum. -->
	
	<xsl:template name="rc9190">
		
		<xsl:param name="Verzenddatum"/>
		<xsl:param name="AfgiftedatumSpecifiek"/>
		<xsl:param name="AfgiftedatumOverig"/>
			
		<xsl:if test="normalize-space($AfgiftedatumSpecifiek) != ''">
			<xsl:if test="normalize-space($AfgiftedatumSpecifiek) &gt;= normalize-space($Verzenddatum)">
				<vbt:Retourcode>9190</vbt:Retourcode>
			</xsl:if>
		</xsl:if>	
		
		<xsl:if test="normalize-space($AfgiftedatumOverig) != ''">
			<xsl:if test="normalize-space($AfgiftedatumOverig) &gt;= normalize-space($Verzenddatum)">
				<vbt:Retourcode>9190</vbt:Retourcode>
			</xsl:if>
		</xsl:if>	
		
	</xsl:template>

</xsl:stylesheet>
