<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9193a.xslt, 28-07-2020 -->
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
 xmlns:vbt="http://ei.vektis.nl/vz/basis/v1_0" >

	<!-- retourcode 9193: Einddatum DocumentPeriode ontbreekt of is onjuist. -->
	<!-- controle: Indien TypePeriode heeft waarde 02 (= vaste periode), dan Einddatum verplicht vullen. -->
	
	<xsl:template name="rc9193a">
		
		<xsl:param name="TypePeriodeOverig"/>
		<xsl:param name="EinddatumOverig"/>
		<xsl:param name="TypePeriodeSpecifiek"/>
		<xsl:param name="EinddatumSpecifiek"/>
		
		<xsl:if test="normalize-space($TypePeriodeOverig) = 02">
			<xsl:if test="normalize-space($EinddatumOverig) =''">
				<vbt:Retourcode>9193</vbt:Retourcode>
			</xsl:if>
		</xsl:if>	
		
		<xsl:if test="normalize-space($TypePeriodeSpecifiek) = 02">
			<xsl:if test="normalize-space($EinddatumSpecifiek) =''">
				<vbt:Retourcode>9193</vbt:Retourcode>
			</xsl:if>
		</xsl:if>	
		
	</xsl:template>

</xsl:stylesheet>
